<?php
session_start();

// セッションにユーザー名が保存されているか確認
if (!isset($_SESSION['username'])) {
    // ログインしていない場合はログインページにリダイレクト
    header("Location: ..\Login\login.php");
    exit();
}
// ログインしているユーザーのユーザー名を表示
$username = $_SESSION['username'];

// フォームから送信されたデータを取得
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $area = $_POST["area"];
    $username = $_SESSION['username'];

    // データベース接続情報
    $host = "localhost";
    $dbusername = "root";
    $dbpassword = "";
    $database = "users";

    // データベース接続
    $conn = new mysqli($host, $dbusername, $dbpassword, $database);

    // SQL インジェクション対策
    $username = mysqli_real_escape_string($conn, $username);
    $area = mysqli_real_escape_string($conn, $area);
    
    // ユーザーをデータベースに挿入
    $query = "UPDATE users SET area='$area' WHERE username='$username'";
    $result = $conn->query($query);


    // データベース切断
    $conn->close();
}
?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>HOME</title>
        <link rel="stylesheet" href="../CSS/index.css">
        <link rel="stylesheet" href="../CSS/tab.css">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
    </head>
    <body>
        <div class="tab-container">
        <button class="tab" onclick="navigateToPage('index.php')">HOME</button>
        
        <button class="tab" onclick="navigateToPage('../Login/login.php')"><?php echo $username; ?></button>
    </div>
    <script>
        function navigateToPage(page) {
            window.location.href = page;
        }
    </script>
        <h1>HOME</h1>
            <div class="home">
            <a><?php echo $username; ?></a><br>
            <button type="button" class="btn btn-primary" onclick="navigateToPage('../Login/logout.php')">ログアウト</button>
            </div>
    </body>
    </html>
    
